--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Test the source to see if it is a valid target
- !ruby/struct:SM::Flow::P 
  body: "@param [Object] source"
- !ruby/struct:SM::Flow::VERB 
  body: "  the resource or collection to be tested\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [Boolean]"
- !ruby/struct:SM::Flow::VERB 
  body: "  true if the resource is valid\n"
- !ruby/struct:SM::Flow::P 
  body: "@api semipulic"
full_name: DataMapper::Associations::Relationship#valid?
is_singleton: false
name: valid?
params: (source)
visibility: public
